package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.AsistenciaDeViajeEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.AsistenciaDeViajeEmpresa;
import com.rjconsultores.ventaboletos.entidad.Empresa;

@Repository("asistenciaDeViajeEmpresaDAO")
public class AsistenciaDeViajeEmpresaHibernateDAO extends GenericHibernateDAO<AsistenciaDeViajeEmpresa, Integer> implements AsistenciaDeViajeEmpresaDAO {

    @Autowired
    public AsistenciaDeViajeEmpresaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public List<AsistenciaDeViajeEmpresa> obtenerTodos() {
        Criteria c = makeCriteria();
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }
    
    public boolean existe(Empresa empresa){
    	Criteria c = makeCriteria();
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("empresa", empresa));
        return !c.list().isEmpty();
    }
}
